Package org.apache.batchee.container.util

## Class TCCLObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.apache.batchee.container.util.TCCLObjectInputStream

- All Implemented Interfaces:
    `Closeable`, `DataInput`, `ObjectInput`, `ObjectStreamConstants`, `AutoCloseable`

      public class TCCLObjectInputStream
      extends ObjectInputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, SERIAL_FILTER_PERMISSION, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TCCLObjectInputStream​(InputStream in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class<?>` | `resolveClass​(ObjectStreamClass desc)` |
    `protected Class` | `resolveProxyClass​(String[] interfaces)` |

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, close, defaultReadObject, enableResolveObject, getObjectInputFilter, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, setObjectInputFilter, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### TCCLObjectInputStream

          public TCCLObjectInputStream​(InputStream in)
                                throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### resolveClass

          protected Class<?> resolveClass​(ObjectStreamClass desc)
                                   throws ClassNotFoundException

      Overrides:
        `resolveClass` in class `ObjectInputStream`
      Throws:
        `ClassNotFoundException`

    - #### resolveProxyClass

          protected Class resolveProxyClass​(String[] interfaces)
                                     throws IOException,
                                            ClassNotFoundException

      Overrides:
        `resolveProxyClass` in class `ObjectInputStream`
      Throws:
        `IOException`
        `ClassNotFoundException`